Subject: FVWM: A few thoughts.

From: [email-masked]
Date: Sun, 4 Jul 1999 04:46:48 EDT

I appreciate the fact that fvwm2 does windowshading.... but, as a matter of 
personal taste, I notice the shaded windows look odd ... They seem like they 
are just the title chopped off abruptly.  In some cases, I'd think it might 
look better if it had the appropriate bevel at the bottom edge, giving it a 
'complete' look.

In other thoughts, it might be neat to have an 'include' sort of thing for 
menus.  Ideally, you could put the window list (to make a flwm style menu, or 
one like the GeoWorks express menu) or a submenu into a menu rather than 
making it an offshoot.  Let me try to give an example:
Menu A has items a, b, c
Menu B has items d, e, include menu A, and f, so it displays as d,e,a,b,c,f.

Also, are pinned menus planned?

Knowing the everything-including-the-kitchen-sink featureset of FVWM, those 
options probably exist and I simply don't know where they are. }:-)
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Sun, 4 Jul 1999 17:08:19 +0200

> look better if it had the appropriate bevel at the bottom edge, giving it a 

That's because they are indeed chopped off at the bottom :-) Personally
I don't care how this loows, but the bottom border would consume space
unnecessarily. If someone makes a patch, fine, but I don't think one of
the maintainers will take action.

> Menu B has items d, e, include menu A, and f, so it displays as d,e,a,b,c,f.

Nice idea, but hard to implement. Perhaps in the release after 2.4, but I
can't make any promises.
 
> Also, are pinned menus planned?

Yes, but it is much more difficult than I expected first (the code isn't
designed to allow easy implementation of pinned menus).

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Neil Bird <[email-masked]>
Date: Mon, 05 Jul 1999 09:39:14 +0100

> Menu B has items d, e, include menu A, and f, so it displays as d,e,a,b,c,f.

  Could you not do something like:

AddToFunction Add_Menu_A_Contents  \
  AddToMenu $0  "A" Exec a
+ AddToMenu $0  "B" Exec b
+ AddToMenu $0  "C" Exec c

  ... for all menus to be included (for all menus?).

  Then:

Add_Menu_A_Contents "Menu_A"

AddToMenu Menu_B  \
  "D" Exec d
+ "E" Exec e
Add_Menu_A_Contents "Menu_B"
+ "F" Exec f

  I've done something similar to create a slew of near-identical menus,
all differeing by one thing (which is set by the function's parameter).

  That last "F" item might not work without a further AddTomenu.

-- 
========================- http://www.rdel.co.uk/ -======================
 Neil Bird                   |   This is who we are     The time is near
                             |
 mailto:[email-masked] |        There are 180 days remaining
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].